# Copyright 2020 H2O.ai, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import os
import subprocess
import sys


def main():
    env = os.environ.copy()
    env['H2O_WAVE_PUBLIC_DIR'] = '/assets/@./h2o_wave_university/static/'
    env['PATH'] += os.pathsep + os.path.dirname(sys.executable)
    try:
        subprocess.Popen(['wave', 'run', 'h2o_wave_university.university', '--no-reload'], cwd=sys.exec_prefix, env=env).communicate()
    except KeyboardInterrupt:
        pass
